**Source URL:** https://general.veevavault.dev/qualityone/vault-api/api-reference/26.1/documents/update-documents/update-document-version.md

# Update Document Version



Update editable field values on a specific version of a document. See also [Update Single Document](/vault-api/api-reference/26.1/documents/update-documents/update-single-document).

<Endpoint path="/api/{version}/objects/documents/{doc_id}/versions/{major_version}/{minor_version}" method="PUT"></Endpoint>

## Headers {#headers}

| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` |
| `Accept` | `application/json` (default) or `application/xml` |
| `X-VaultAPI-MigrationMode` | When set to `true`, Vault allows you to manually set the document number. Vault does not send notifications in Document Migration Mode. All other Document Migration Mode overrides available at document creation are ignored, but do not generate an error message. You must have the *Document Migration* permission to use this header. Learn more about [Document Migration Mode in Vault Help](https://platform.veevavault.help/en/gr/54028). |
| `X-VaultAPI-NoTriggers` | If set to `true` and [Document Migration Mode](https://platform.veevavault.help/en/gr/54028) is enabled, it bypasses all system, standard, and custom doctype triggers. |

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{doc_id}` | The document `id` field value. |
| `{major_version}` | The document `major_version_number__v` field value. |
| `{minor_version}` | The document `minor_version_number__v` field value. |
</FieldTable>

## Body Parameters {#body-parameters}

In the body of the request, add any editable field values that you wish to update as name-value pairs. To remove existing field values, include the field name and set its value to null.

To find your Vault’s editable document fields, [Retrieve All Document Fields](/vault-api/api-reference/26.1/documents/retrieve-document-fields/retrieve-all-document-fields) configured on documents. Editable fields will have `editable:true`.

## Request {#request}

<CodeExample title="">
```
curl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "language__v=English" \
-d "product__v=1357662840171" \
-d "audience__c=consumer__c" \
https://myvault.veevavault.com/api/v15.0/objects/documents/534/versions/2/0

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "id": 534
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault updates field values for the specified version of the document and returns the ID of the updated document.



---

**Previous:** [Reclassify Multiple Documents](/qualityone/vault-api/api-reference/26.1/documents/update-documents/reclassify-multiple-documents)  
**Next:** [Create Multiple Document Versions](/qualityone/vault-api/api-reference/26.1/documents/update-documents/create-multiple-document-versions)